Public Class SldWorksEventFrm


    Dim WithEvents oSwAppCls As SldWorks.SldWorks
    Dim WithEvents oSwPartCls As SldWorks.PartDoc
    Dim WithEvents oSwAssemblyCls As SldWorks.AssemblyDoc
    Dim WithEvents oSwDrawingCls As SldWorks.DrawingDoc

    Private Function oSwAppCls_FileOpenNotify2( _
            ByVal FileName As String) As Integer _
            Handles oSwAppCls.FileOpenNotify2
        Try
            'Den bergebenen Dateinamen
            'in die ListBox einfgen
            '(Ungltiger Thread 
            'bergreifender Zugriff)
            Me.lstEreignis.Items.Add("ffnen: " & FileName)
            'ModelDoc2 deklarieren
            Dim oSwModel As SldWorks.ModelDoc2
            'Dokumenten Objekt belegen
            oSwModel = CType(oSwAppCls.ActiveDoc, _
                                SldWorks.ModelDoc2)
            Select Case oSwModel.GetType
                Case SwConst.swDocumentTypes_e.swDocPART
                    oSwPartCls = CType(oSwModel, _
                            SldWorks.PartDoc)
                Case SwConst.swDocumentTypes_e.swDocASSEMBLY
                    oSwAssemblyCls = CType(oSwModel, _
                            SldWorks.AssemblyDoc)
                Case SwConst.swDocumentTypes_e.swDocDRAWING
                    oSwDrawingCls = CType(oSwModel, _
                            SldWorks.DrawingDoc)
                Case Else
                    Debug.Assert(False)
            End Select
            'Nicht mehr bentigtes Objekt freigeben
            oSwModel = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Function

    Private Function oSwAppCls_FileOpenPreNotify( _
            ByVal FileName As String) As Integer _
            Handles oSwAppCls.FileOpenPreNotify
        Try
            If MsgBox( _
            "Es wurde versucht in SolidWorks" & _
            vbNewLine & "die Datei: " & FileName & _
            " zu ffnen: " & vbNewLine & _
            "Mchten Sie dies verhintern?", _
            MsgBoxStyle.Question Or MsgBoxStyle.YesNo, _
            "ffnen der Datei abbrechen") = _
            MsgBoxResult.Yes Then
                'Ereignis abbrechen
                Return CInt(True)
            End If
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
               ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Function

    Private Sub cmdBeenden_Click( _
        ByVal sender As System.Object, _
        ByVal e As System.EventArgs) _
        Handles cmdBeenden.Click
        Try
            'SolidWorks freigeben
            oSwPartCls = Nothing
            oSwDrawingCls = Nothing
            oSwAssemblyCls = Nothing
            oSwAppCls = Nothing
            'Formular schlieen
            Me.Close()
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdStart_Click( _
        ByVal sender As System.Object, _
        ByVal e As System.EventArgs) _
        Handles cmdStart.Click
        Try
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'Get Methode ausfhren
            oSwAppCls = oMySldWorks.SolidWorksInstanz()
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub SldWorksEventFrm_Load( _
            ByVal sender As System.Object, _
            ByVal e As System.EventArgs) _
            Handles MyBase.Load
        Try
            'Unerlaubte Thread bergreifende Zugriffe erlauben
            System.Windows.Forms.Form.CheckForIllegalCrossThreadCalls = False
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Function oSwAssemblyCls_FileSaveNotify( _
            ByVal FileName As String) As Integer _
            Handles oSwAssemblyCls.FileSaveNotify
        Try
            'Den bergebenen Dateinamen
            'in die ListBox einfgen
            '(Ungltiger Thread 
            'bergreifender Zugriff)
            Me.lstEreignis.Items.Add("Speichern: " & FileName)
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Function

    Private Function oSwDrawingCls_FileSaveNotify( _
            ByVal FileName As String) As Integer _
            Handles oSwDrawingCls.FileSaveNotify
        Try
            'Den bergebenen Dateinamen
            'in die ListBox einfgen
            '(Ungltiger Thread 
            'bergreifender Zugriff)
            Me.lstEreignis.Items.Add("Speichern: " & FileName)
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Function

    Private Function oSwPartCls_FileSaveNotify( _
            ByVal FileName As String) As Integer _
            Handles oSwPartCls.FileSaveNotify
        Try
            'Den bergebenen Dateinamen
            'in die ListBox einfgen
            '(Ungltiger Thread 
            'bergreifender Zugriff)
            Me.lstEreignis.Items.Add("Speichern: " & FileName)
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Function

End Class