Public Class SldWorksDokumenteFrm

    Private Sub cmdOeffnen_Click(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles cmdOeffnen.Click
        Try
            'Dialog aufrufen    
            With Me.OpenFileDialog1
                'Keine Auswahlvorgabe
                .FileName = ""
                'Welche Dateitypen drfen
                'in diesem Dialog ausgewhlt werden
                .Filter = "SolidWorks Bauteil (*.sldprt)|*.sldprt|" & _
                     "SolidWorks Baugruppe (*.sldasm)|*.sldasm|" & _
                     "SolidWorks Zeichnung (*.slddrw)|*.slddrw"
                'Titel das Dialogs
                .Title = "SolidWorks Dokument ffnen"
            End With
            'Wenn eine Datei geffnet werden soll
            If Me.OpenFileDialog1.ShowDialog() = _
                 Windows.Forms.DialogResult.OK Then
                'Ausgewltes SolidWorks Dokument
                Debug.Print( _
                    Me.OpenFileDialog1.FileName)
                'Eigene SolidWorks Klasse deklarieren
                Dim oMySldWorks As MySldWorksCls
                'Eigene SolidWorks Klasse initialisieren
                oMySldWorks = New MySldWorksCls
                'SolidWorks initialisieren
                oMySldWorks.SolidWorksInstanz()
                'Dokument in SolidWorks ffnen
                oMySldWorks.DokumentOeffnen( _
                        Me.OpenFileDialog1.FileName)
                'Eigene SolidWorks Klasse leeren
                oMySldWorks = Nothing
            End If
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdSchliessen_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles cmdSchliessen.Click
        Try
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Beispielaufruf fr die Ermittlung
            'und Aufschllung des Speicherpfad
            'Ausgabe in einer MessageBox
            MsgBox("Aktuelles Dokument" & _
                vbNewLine & "Pfad: " & _
                oMySldWorks.AktuellesDokumentSpeicherpfad & _
                vbNewLine & "Name: " & _
                oMySldWorks.AktuellesDokumentDateiName & _
                vbNewLine & "Extension: " & _
                oMySldWorks.AktuellesDokumentExtension & _
                vbNewLine & "Verzeichnis: " & _
                oMySldWorks.AktuellesDokumentVerzeichnis)
            'Aktuelles Dokument schliessen
            oMySldWorks.DokumentSchliessen()
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdSpeichern_Click( _
        ByVal sender As System.Object, _
        ByVal e As System.EventArgs) _
        Handles cmdSpeichern.Click
        Try
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Aktuelles Dokument speichern
            oMySldWorks.DokumentSpeichern()
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdSpeichernUnter_Click( _
        ByVal sender As System.Object, _
        ByVal e As System.EventArgs) _
        Handles cmdSpeichernUnter.Click
        Try
            Dim eSldDocTyp As SwConst.swDocumentTypes_e
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Einstellungen im SaveFileDialog
            With Me.SaveFileDialog1
                'Vorgabe ist der Titel
                'des SolidWorks Dokuments
                .FileName = oMySldWorks.AktuellesDokument.GetTitle
                'Welche Dateitypen drfen
                'in diesem Dialog ausgewhlt werden
                .Filter = "SolidWorks Bauteil (*.sldprt)|*.sldprt|" & _
                    "SolidWorks Baugruppe (*.sldasm)|*.sldasm|" & _
                    "SolidWorks Zeichnung (*.slddrw)|*.slddrw|" & _
                    "PDF (*.pdf)|*.pdf|" & _
                    "JPEG (*.jpg)|*.jpg"
                'Dateityp durch den
                'Dokumenttyp des Dokuments vorbelegen
                eSldDocTyp = CType( _
                    oMySldWorks.AktuellesDokument.GetType, _
                    SwConst.swDocumentTypes_e)
                Select Case eSldDocTyp
                    Case SwConst.swDocumentTypes_e.swDocPART
                        .FilterIndex = 0
                    Case SwConst.swDocumentTypes_e.swDocASSEMBLY
                        .FilterIndex = 1
                    Case SwConst.swDocumentTypes_e.swDocDRAWING
                        .FilterIndex = 2
                End Select
                'Titel das Dialogs
                .Title = "SolidWorks Dokument speichern"
            End With
            'Wenn die Datei gespeichert werden soll
            If Me.SaveFileDialog1.ShowDialog() = _
                    Windows.Forms.DialogResult.OK Then
                'Speichern unter Methode
                'der eigenen Klasse ausfhren
                oMySldWorks.DokumentSpeichernUnter( _
                   Me.SaveFileDialog1.FileName)
            End If
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

End Class