Public Class SldWorksEigenschaftenFrm

    Private Sub cmdErmitteln_Click( _
            ByVal sender As System.Object, _
            ByVal e As System.EventArgs) _
            Handles cmdErmitteln.Click
        Try
            'Alle Dokumenteigenschaften mit ihrem Wert
            Dim scEigenschaftenUndWert As _
                System.Collections.Generic.Dictionary(Of String, String)
            Dim sEinzelneEigenschaftUndWert As String
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Dokumenteigenschaften ermitteln
            scEigenschaftenUndWert = _
                oMySldWorks.DokumentEigenschaftenUndWertErmitteln()
            'Rckgabe prfen
            If Not scEigenschaftenUndWert Is Nothing Then
                'Listbox befllen
                Me.lstEigenschaften.Items.Clear()
                For Each s As String In scEigenschaftenUndWert.Keys
                    sEinzelneEigenschaftUndWert = _
                        "Eigenschaft: " & s & " Wert: " & _
                        scEigenschaftenUndWert.Item(s)
                    Me.lstEigenschaften.Items.Add( _
                        sEinzelneEigenschaftUndWert)
                Next
            End If
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdSchliessen_Click(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles cmdSchliessen.Click
        Try
            Me.Close()
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdAnpassen_Click( _
            ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles cmdAnpassen.Click
        Try
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Dokumenteigenschaft manipulieren
            'Je nach SolidWorks Version die richtige Methode ausfhren
            If oMySldWorks.VersionInJahr >= 2007 Then
                'Ab SolidWorks 2007
                Me.AnpassenAbSw2007(oMySldWorks)
            Else
                'Fr ltere SolidWorks Versionen
                Me.AnpassenVorSw2007(oMySldWorks)
            End If
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub AnpassenVorSw2007( _
            ByVal oMySldWorks As MySldWorksCls)
        Try
            'Dokumenteigenschaft lschen
            oMySldWorks.AktuellesDokument.DeleteCustomInfo2( _
                "", "Auto")
            'Dokumenteigenschaft ndern
            oMySldWorks.AktuellesDokument.CustomInfo2( _
                "", "Autor") = "Schulungsteilnehmer"
            'Neue Dokumenteigenschaft hinzufgen
            oMySldWorks.AktuellesDokument.AddCustomInfo3( _
                "", "Datum", _
                SwConst.swCustomInfoType_e.swCustomInfoDate, _
                Now.ToString)
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub AnpassenAbSw2007( _
            ByVal oMySldWorks As MySldWorksCls)
        Try
            'Erweiterungsobjekt eines 
            'SolidWorks Dokuments
            Dim oModelDocExt As SldWorks.ModelDocExtension
            'Objekt fr die Eigenschaften 
            'eines Dokuments
            Dim oCustomPropertyManager As _
                SldWorks.CustomPropertyManager
            'Erweiterungsobjekt des 
            'Dokuments initialisieren
            oModelDocExt = oMySldWorks.AktuellesDokument.Extension
            'Dokumenteigenschaftenmanger
            'des aktuell Dokuments initialisieren
            oCustomPropertyManager = _
                oModelDocExt.CustomPropertyManager( _
                "")
            'Dokumenteigenschaft lschen
            oCustomPropertyManager.Delete("Auto")
            'Dokumenteigenschaft ndern
            oCustomPropertyManager.Set( _
                "Autor", "Schulungsteilnehmer")
            'Neue Dokumenteigenschaft hinzufgen
            oCustomPropertyManager.Add2( _
                "Datum", _
                SwConst.swCustomInfoType_e.swCustomInfoDate, _
                Now.ToString)
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

End Class